Groovy 1.7.0

## org.codehaus.groovy.runtime.callsite
Class CallSiteClassLoader

    java.lang.Object
      java.lang.ClassLoader
          org.codehaus.groovy.reflection.SunClassLoader
              org.codehaus.groovy.runtime.callsite.GroovySunClassLoader
                  org.codehaus.groovy.reflection.ClassLoaderForClassArtifacts
                      org.codehaus.groovy.runtime.callsite.CallSiteClassLoader

    class CallSiteClassLoader
    extends ClassLoaderForClassArtifacts

Field Summary

Fields inherited from class SunClassLoader
knownClasses, sunVM

Constructor Summary
`CallSiteClassLoader(Class klazz)`

Method Summary
`protected Class` | `loadClass(String name, boolean resolve)`

Methods inherited from class ClassLoaderForClassArtifacts
createClassName, define, defineClassAndGetConstructor, loadClass

Methods inherited from class SunClassLoader
define, doesKnow, loadClass, loadFromRes, resName

Methods inherited from class ClassLoader
loadClass, getSystemClassLoader, getResource, getResourceAsStream, getSystemResource, getSystemResourceAsStream, clearAssertionStatus, getParent, getResources, getSystemResources, setClassAssertionStatus, setDefaultAssertionStatus, setPackageAssertionStatus, wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Constructor Detail

### CallSiteClassLoader

    public CallSiteClassLoader(Class klazz)

Method Detail

### loadClass

    protected Class loadClass(String name, boolean resolve)

Copyright © 2003-2009 The Codehaus. All rights reserved.